/**
 * This file is part of OpenMediaVault.
 *
 * @license   http://www.gnu.org/licenses/gpl.html GPL Version 3
 * @author    Marcel Beck <marcel.beck@mbeck.org>
 * @copyright Copyright (c) 2012 Marcel Beck
 *
 * OpenMediaVault is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * OpenMediaVault is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OpenMediaVault. If not, see <http://www.gnu.org/licenses/>.
 */

	// require("js/omv/module/autoshutdown/admin.js")

OMV.Module.Diagnostics.LogPlugin.Autoshutdown = function (config) {
	var initialConfig = {
		title    :_("Autoshutdown"),
		stateId  :"92a5f193-e76a-481e-a1c0-12db308c97c0",
		columns  :[
			{
				header   :_("Date & Time"),
				sortable :true,
				dataIndex:"date",
				id       :"date",
				width    :40,
				renderer :OMV.util.Format.localeTimeRenderer()
			},
			{
				header   :_("Type"),
				sortable :true,
				dataIndex:"type",
				id       :"type",
				width    :20
			},
			{
				header   :_("Log"),
				sortable :true,
				dataIndex:"log",
				id       :"log"
			}
		],
		rpcArgs  :{ "id":"autoshutdown" },
		rpcFields:[
			{ name:"date" },
			{ name:"type" },
			{ name:"log" }
		]
	};
	Ext.apply(initialConfig, config);
	OMV.Module.Diagnostics.LogPlugin.Autoshutdown.superclass.constructor.call(
					this, initialConfig);
};

Ext.extend(OMV.Module.Diagnostics.LogPlugin.Autoshutdown, OMV.Module.Diagnostics.LogPlugin, {});
OMV.preg("log", "autoshutdown", OMV.Module.Diagnostics.LogPlugin.Autoshutdown);