/**
 * This file is part of OpenMediaVault-autoshutdown.
 *
 * @license   http://www.gnu.org/licenses/gpl.html GPL Version 3
 * @author    Marcel Beck <marcel.beck@mbeck.org>
 * @copyright Copyright (c) 2012 Marcel Beck
 *
 * OpenMediaVault is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * OpenMediaVault is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OpenMediaVault. If not, see <http://www.gnu.org/licenses/>.
 */
	// require("js/omv/NavigationPanel.js")
	// require("js/omv/data/DataProxy.js")
	// require("js/omv/FormPanelExt.js")
	// require("js/omv/form/PasswordField.js")
	// require("js/omv/form/SharedFolderComboBox.js")
	// require("js/omv/form/plugins/FieldInfo.js")

	// require("js/omv/module/autoshutdown/admin/dialog/ports.js")

	// require("js/omv/module/autoshutdown/navigation.js")
	// require("js/omv/module/autoshutdown/utils.js")

Ext.ns("OMV.Module.Services.Autoshutdown.Admin.Panel");

/**
 * @class OMV.Module.Services.Autoshutdown.Admin.Panel.Network
 * @derived OMV.FormPanelExt
 */
OMV.Module.Services.Autoshutdown.Admin.Panel.Network = function (config) {
	var initialConfig = {
		rpcService  :"Autoshutdown",
		rpcGetMethod:"getNetwork",
		rpcSetMethod:"setNetwork"
	};
	Ext.apply(initialConfig, config);
	OMV.Module.Services.Autoshutdown.Admin.Panel.Network.superclass.constructor.call(this, initialConfig);
};
Ext.extend(OMV.Module.Services.Autoshutdown.Admin.Panel.Network, OMV.FormPanelExt, {
	getFormItems:function () {
		return [
			{
				xtype   :"fieldset",
				title   :_("Network settings"),
				defaults:{
					labelSeparator:""
				},
				items   :[
					{
						xtype     :"checkbox",
						name      :"nw_intensesearch",
						fieldLabel:_("Delayed Networks"),
						checked   :false,
						inputValue:1,
						plugins   :[ OMV.form.plugins.FieldInfo ],
						infoText  :_("Waits for networks which are started after autoshutdown starts (example: on HP Microserver N40L). If autoshutdown doesn't find an IP for your OMV-Server, this may help.")
					},
					{
						xtype     :"textfield",
						name      :"range",
						fieldLabel:_("IP-Range"),
						vtype     :"autoshutdown_range",
						value     :"2..254",
						plugins   :[ OMV.form.plugins.FieldInfo ],
						infoText  :_("Define a range of IPs which should be scanned, via XXX.XXX.XXX.xxx last triple of IP address in a list. <br />The following scheme is mandatory v..v+m,w,x..x+n,y+o..y,z <br />  - define an ip range : &lt;start&gt;..&lt;end&gt; -> the two dots are mandatory <br />  - define a single ip : &lt;ip&gt; <br />  - all list entries are seperated by comma ',' <br />Please make sure to leave 1 and 255 out of the list !")
					},
					{
						xtype     :"button",
						id        :this.getId() + "-ports",
						hideLabel :false,
						fieldLabel:_("Ports"),
						text      :_("Configure Ports"),
						scope     :this,
						handler   :function () {
							var wnd = new OMV.Module.Services.Autoshutdown.Admin.Dialog.Ports();
							wnd.show();
						},
						plugins   :[ OMV.form.plugins.FieldInfo ],
						infoText  :'<a href="http://en.wikipedia.org/wiki/List_of_TCP_and_UDP_port_numbers" target="_blank">' + _('List of Ports') + '</a>'
					},
					{
						xtype     :"textfield",
						name      :"custom_ports",
						fieldLabel:_("Custom Ports"),
						vtype     :"autoshutdown_nsocket_numbers",
						value     :"",
						plugins   :[ OMV.form.plugins.FieldInfo ],
						infoText  :_("Define custom ports.")
					}
				]
			}
		];
	}
});

OMV.NavigationPanelMgr.registerPanel("services", "autoshutdown", {
	cls     :OMV.Module.Services.Autoshutdown.Admin.Panel.Network,
	title   :_("Network"),
	position:20
});