/**
 * This file is part of OpenMediaVault.
 *
 * @license   http://www.gnu.org/licenses/gpl.html GPL Version 3
 * @author    Marcel Beck <marcel.beck@mbeck.org>
 * @copyright Copyright (c) 2012 Marcel Beck
 *
 * OpenMediaVault is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * OpenMediaVault is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OpenMediaVault. If not, see <http://www.gnu.org/licenses/>.
 */


Ext.apply(Ext.form.VTypes, {

	autoshutdown_flag    :function (v) {
		return /^([1-9]|[1-9][0-9]|[1-9][0-9]{2})$/i.test(v);
	},
	autoshutdown_flagText:_("Invalid Cycles."),
	autoshutdown_flagMask:/[0-9]/i,

	autoshutdown_nsocket_numbers    :function (v) {
		return /^[0-9]{1,5}|[[0-9]{1,5}\,]$/i.test(v);
	},
	autoshutdown_nsocket_numbersText:_("Invalid NSocket."),
	autoshutdown_nsocket_numbersMask:/[0-9\,]/,

	autoshutdown_range     :function (v) {
		return /^([1-9]{1}[0-9]{0,2})?([1-9]{1}[0-9]{0,2}\.{2}[1-9]{1}[0-9]{0,2})?(,[1-9]{1}[0-9]{0,2})*((,[1-9]{1}[0-9]{0,2})\.{2}[1-9]{1}[0-9]{0,2})*$/i.test(v);
	},
	autoshutdown_rangeText :_("Invalid IP-Range."),
	autoshutdown_rangesMask:/[0-9\.\,]/,

	autoshutdown_sleep    :function (v) {
		return /^([1-9]|[1-9][0-9]{1,3})$/i.test(v);
	},
	autoshutdown_sleepText:_("Invalid Sleep."),
	autoshutdown_sleepMask:/[0-9]/i
});